#ifndef UTILS_H
#define UTILS_H

#include "cdf.h"

#if __GNUC__ < 4
#  define  __attribute__(x)  /* NOTHING */
#endif

int debug_level;
char *program_name;

void debug(int level, const char *fmt, ...)
  __attribute__((format(printf, 2, 3)));
void warn(int err, const char *fmt, ...)
  __attribute__((format(printf, 2, 3)));
void fail(int err, const char *fmt, ...)
  __attribute__((format(printf, 2, 3)));
void cdf_fail_unless(CDFstatus status, const char *fmt, ...)
  __attribute__((format(printf, 2, 3)));

int streq(const char *s1, const char *s2);

#endif
